<?php
/*
Simple=>Press
tinymce init
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

global $spVars;

# Load up toolbars and plugins
$tm = sp_get_option('tinymce');

$contentCSS = sp_find_css(SPTMCONTENTCSS.$tm['skin'].'/', 'content.css');
$editorCSS = sp_find_css(SPTMCONTENTCSS.$tm['skin'].'/', 'ui.css');
$popupCSS = sp_find_css(SPTMCONTENTCSS.$tm['skin'].'/', 'dialog.css');

$focus = ($spVars['pageview'] == 'topic') ? 'postitem' : '';

$plugins = apply_filters('sph_add_tm_plugin', $tm['plugins']);

add_filter('mce_buttons',   'sph_tinymce_buttons_1', 10, 2);
add_filter('mce_buttons_2', 'sph_tinymce_buttons_2', 10, 2);

$tiny = array(
	'mode' => 'none',
	'elements' => 'postitem',
    'content_css' => $contentCSS,
    'editor_css' => $editorCSS,
    'popup_css' => $popupCSS,
	'skin' => $tm['skin'],
    'skin_variant' => $tm['variant'],
	'height'=> $tm['height'],
	'convert_urls' => ($tm['relative']) ? true : false,
	'extended_valid_elements' => 'img[accesskey|class|contextmenu|dir|draggable|dropzone|hidden|id|inert|itemid|itemprop|itemref|itemscope|itemtype|lang|spellcheck|style|tabindex|title|translate|item|role|subject|alt|src|srcset|crossorigin|usemap|ismap|width|height]',
	'plugins' => $plugins,
    'auto_focus' => $focus,
	'paste_block_drop' => true
    );
$tiny = apply_filters('sph_tm_init', $tiny);

# add in external plugins
add_filter('mce_external_plugins', 'add_tinymce_plugins');
function add_tinymce_plugins($plugins) {
    # add in our core plugins
    $plugins['spoiler'] = SPTMPLUGINS.'spoiler/editor_plugin.js';
    $plugins['ddcode'] = SPTMPLUGINS.'ddcode/editor_plugin.js';
    $plugins['sphelp'] = SPTMPLUGINS.'sphelp/editor_plugin.js';

    # filter for users to add external tinyMCE plugin
    $external_plugins = apply_filters('sph_mce_external_plugins', array());
    foreach ($external_plugins as $name => $url) {
        $plugins[$name] = $url;
    }

    return $plugins;
}

add_filter('sph_tinymce_buttons_1', 'sp_check_spoiler_button');
function sp_check_spoiler_button($buttons) {
	global $spVars;
	if (!sp_get_auth('use_spoilers', $spVars['forumid'])) {
		$buttons = str_replace('spoiler,', '', $buttons);
		$buttons = str_replace('spoiler', '', $buttons);
	}
	return $buttons;
}

function sph_tinymce_buttons_1($buttons, $editor) {
    if ($editor == 'postitem') {
        $tm = sp_get_option('tinymce');
        $buttons = apply_filters('sph_tinymce_buttons_1', $tm['buttons1']);
        $buttons = (!empty($buttons)) ? explode(',', $buttons) : array();
    }

    # remove some buttons on profiles since space is tighter - there is filter if users wants different ones or add back in
    global $spProfileUser;
    if (isset($spProfileUser)) {
        $removeButtons = apply_filters('sph_tinymce_profile_buttons_remove', array('spoiler', 'ddcode', 'selectall', 'charmap', 'blockquote', 'redo', 'undo'));
        $buttons = str_replace($removeButtons, '', $buttons);
    }

    return $buttons;
}

function sph_tinymce_buttons_2($buttons, $editor) {
    if ($editor == 'postitem') {
        $tm = sp_get_option('tinymce');
        $buttons = apply_filters('sph_tinymce_buttons_2', $tm['buttons2']);
        $buttons = (!empty($buttons)) ? explode(',', $buttons) : array();
    }
    return $buttons;
}

?>