/* ---------------------------------
Simple:Press
TinyMCE Editor Plugin Javascript
------------------------------------ */

/* ---------------------------------------------
   Open the dropdown editor area
--------------------------------------------- */
function spjEdOpenEditor(formType) {
    tinyMCE.EditorManager.execCommand('mceAddControl', false, 'postitem');

	if (formType == 'topic') {
		document.addtopic.spTopicTitle.focus();
	}

    jQuery('#postitem').on("closed", function(event, ui) {
        tinyMCE.EditorManager.execCommand('mceAddControl', false, 'postitem');
    });
}

/* ---------------------------------------------
   Cancels editor - removes any content
--------------------------------------------- */
function spjEdCancelEditor() {
    tinyMCE.EditorManager.execCommand('mceRemoveControl', false, 'postitem');

	var tx = document.getElementById('postitem');
	tx.value = '';

	jQuery('#spPostNotifications').html('');
	jQuery('#spPostNotifications').hide();

	if (document.getElementById('previewPost') != 'undefined') {
		jQuery('#previewPost').html('');
	}

	spjToggleLayer('spPostForm');
}

/* ---------------------------------------------
   Insert content as Quote
--------------------------------------------- */

function spjEdInsertContent(intro, content) {
    function nl2br(str) {return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + '<br ' + '/>' + '$2');}

	if (tinymce.isIE) {
		tinyMCE.activeEditor.execCommand('mceInsertRawHTML', false, '<blockquote><strong>' + intro+'</strong><br />' + nl2br(content) + '</blockquote><br />');
	} else {
		tinyMCE.activeEditor.execCommand('InsertHTML', false, '<blockquote><strong>' + intro + '</strong><br />' + nl2br(content) + '</blockquote><br />');
	}
}

/* ---------------------------------------------
   Insert a Smiley
--------------------------------------------- */
function spjEdInsertSmiley(file, title, path, code) {
	tinyMCE.execCommand('mceInsertContent', false, '<img src="'+path+file+'" title="'+title+'" alt="'+title+'" />');
}

/* ---------------------------------------------
   Insert an Attachment
--------------------------------------------- */
function spjEdInsertAttachment(file, title, path, item, width, height) {
    var html = '<img src="'+path+file+'" title="'+title+'" alt="'+title+'"';
    if (width != '') {
        html = html + ' width="'+width+'"';
    }
    if (height != '') {
        html = html + ' height="'+height+'"';
        html = html + ' />';
    }
    tinyMCE.execCommand('mceInsertContent', false, html);
}

function spjEdInsertMediaAttachment(file, path, width, height) {
    ext = file.split('.').pop();
    if (ext == 'swf' || ext == 'flv' || ext == 'fla') {
    	mt1 = 'mceItemFlash';
    	mt2 = 'flash';
    } else if (ext == 'wma' || ext == 'wmv') {
    	mt1 = 'mceItemWindowsMedia';
    	mt2 = 'windowsmedia';
    } else if (ext == 'rm' || ext == 'rma' || ext == 'ra' || ext == 'rpm') {
    	mt1 = 'mceItemRealMedia';
    	mt2 = 'realmedia';
    } else {
    	mt1 = 'mceItemQuickTime';
    	mt2 = 'quicktime';
	}

	h = "<img class=\"mceItemMedia " + mt1 + "\" width=\"" + width + "\" height=\"" + height + "\" data-mce-src=\"" + this.url + "themes/advanced/img/trans.gif\" src=\"" + this.url + "themes/advanced/img/trans.gif\" data-mce-json=\"{'type':'" + mt2 + "','video':{'sources':[]},'params':{'src':'" + path + file + "','autoplay':'false'},'width':'" + width + "','height':'" + height + "'}\" >";

    tinyMCE.execCommand('mceInsertContent', false, h);
}

/* ---------------------------------------------
   Insert text
--------------------------------------------- */
function spjEdInsertText(text) {
   	tinyMCE.execCommand('mceInsertContent', false, text);
}

/* ---------------------------------------------
   Get the current content of the editor
--------------------------------------------- */
function spjEdGetEditorContent(theForm) {
    var content = tinyMCE.get('postitem').getContent();
    return content;
}

/* ---------------------------------------------
   Validate editor content for known failures
--------------------------------------------- */
function spjEdValidateContent(thisField, errorMsg) {
   	var error = '';
	var stuff = tinyMCE.get(thisField.name).getContent();
	if (stuff === '') {
		error = '<strong>' + errorMsg + '</strong><br />';
	}
   	return error;
}

function spjEdGetSignature(a) {
    if (typeof tinyMCE !== 'undefined') tinyMCE.triggerSave();
}
