<?php
/*
Simple:Press
TinyMCE Editor plugin upgrade routine
$LastChangedDate: 2013-02-17 13:50:25 -0700 (Sun, 17 Feb 2013) $
$Rev: 9859 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_tinymce_do_upgrade() {
    $tm = sp_get_option('tinymce');
    if (empty($tm)) return;

    $db = $tm['dbversion'];
    if (empty($db)) {
        # make sure its not the db 1 option
        $tmdb = sp_get_option('tinymcedb');
        $db = (empty($tmdb)) ? 0 : $tmdb;
    }

    # quick bail check
    if ($db == SPTMDB ) return;

    # apply upgrades as needed

    # db version upgrades
    if ($db < 1) {
        # Check if already exists - i.e, this is an upgrade
    	$tbmeta = sp_get_sfmeta('tinymce_toolbar', 'default');
    	if (!empty($tbmeta)) {
    		# Can't be helped - we will have to remove the old versions first
        	$tb = sp_get_sfmeta('tinymce_toolbar');
        	if ($tb) {
        		foreach($tb as $t) {
        			sp_delete_sfmeta($t['meta_id']);
        		}
        	}
    	}

		# Unserialise again for the last time!
		$tm = unserialize($tm);

		# Correct the double serialisation of the tinymce options
		# and remove the old preview button
		$tm['plugins']		= str_replace(',preview', '', $tm['plugins']);
		$tm['buttons1add']	= str_replace(',preview', '', $tm['buttons1add']);
	}

    if ($db < 2) {
        $tmdb = sp_get_option('tinymcedb');
        if (!empty($tmdb)) sp_delete_option('tinymcedb');
    }

    if ($db < 3) {
    	$tm['plugins']		= $tm['plugins'].',wordpress,wpdialogs,sphelp';
    	$tm['buttons1']		= $tm['buttons1'].$tm['buttons1add'].',|,wp_adv,sp_help';
    	$tm['buttons2']		= $tm['buttons2'].$tm['buttons2add'].',|,formatselect,|,justifyleft,justifycenter,justifyright,justifyfull,|,removeformat';
    	$tm['skin']			= 'o2k7';
    	$tm['variant']		= '';
        unset($tm['buttons1add']);
        unset($tm['buttons2add']);
        unset($tm['lang']);
        unset($tm['rtl']);
    }

    # save data
    # save data
    $tm['dbversion'] = SPTMDB;
    sp_update_option('tinymce', $tm);
}
